%define qtdir  %(qmake -query QT_INSTALL_PREFIX)
%define qtinc %{qtdir}/include
%define qtlib %(qmake -query QT_INSTALL_PREFIX)/lib

Name:           qt-qsa
Version:        1.1.5
Release:        23%{?dist}
Summary:        QT Script for Applications

Group:          Development/Libraries
License:        GPLv2
URL:            http://www.trolltech.com/products/qt/addon/qsa
Source0:        ftp://ftp.trolltech.com/qsa/source/qsa-x11-free-%{version}.tar.gz
Patch0:         qt-qsa-1.1.5-format-security.patch

BuildRequires:  gcc-c++
BuildRequires:  qt3-devel

%description
Qt Script for Applications can be used to build scripable applications with Qt.

%package devel
Summary:        Development and doc files for qsa 
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries
Requires:       qt3-devel

%description devel
Qt Script for Applications can be used to build scripable applications with Qt.
This package contains development files and the documentation

%prep
%setup -q -n qsa-x11-free-%{version}
%patch0 -p1

#fix LICENSE.GPL and README permissions
chmod 644 LICENSE.GPL
chmod 644 README

#fix line endings
find doc/html -type f | xargs %{__sed} -i 's/\r//'
find examples -type f | xargs %{__sed} -i 's/\r//'


%build
export QTDIR=%{qtdir}
export PATH=$QTDIR/bin:$PATH
export QTINC=%{qtinc}
export QTLIB=%{qtlib}
./configure -prefix %{qtdir}
make %{?_smp_mflags} sub-src


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{qtdir}/doc

#remove uneeded files
rm -f examples/qsa.prf
find examples -name "Makefile*" | xargs rm -f
find examples -name ".obj*" | xargs rm -rf
find examples -name ".ui*" | xargs rm -rf
find examples -name ".moc*" | xargs rm -rf
find examples -name ".rcc" | xargs rm -rf

#remove load entry from .pro files
find examples -name "*.pro" | xargs sed -i "/..\/qsa/d"

#add includes that make install skip:(
%{__install} -p -m 644 src/ide/qsworkbench.h $RPM_BUILD_ROOT%{qtinc}/
%{__install} -p -m 644 src/qsa/qsutilfactory.h  $RPM_BUILD_ROOT%{qtinc}/



%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc changes-%{version} LICENSE.GPL README
%{qtlib}/libqsa.so.*

%files devel
%doc doc/html examples
%{qtlib}/libqsa.so
%{qtinc}/*
%{qtdir}/mkspecs/features/qsa.prf


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1.5-16
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 13 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.1.5-14
- Fix FTBFS with -Werror=format-security (#1106983)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.1.5-5
- s/qt/qt3/

* Tue Feb 12 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.5-4
- Rebuilt for gcc-4.3

* Thu Nov 22 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.5-3
- Fixed multiarch conflicts (RH #343031)

* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.5-2
- Rebuild

* Tue Aug  7 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.5-1
- Updated to 1.1.5
- Adjusted License tag as per latest guidelines

* Wed Dec 20 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.4-3
- Fixed typo in %%changelog
- Added qt-devel to -devel subpackage Requires

* Wed Dec 20 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.4-2
- Added missing headers
- Renamed to qt-qsa
- Got rid of dos2unix BuildRequires
- Fixed building on x86-64

* Wed Dec 13 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.4-1
- Initial RPM release, based on Frank Büttner's qt4-qsa package
